<?php
/**
 * $JA#COPYRIGHT$
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Joomla! P3P Header Plugin
 *
 * @package		Joomla.Plugin
 * @subpackage	System.p3p
 */

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

class plgSystemJAPager extends JPlugin
{
	function onAfterRoute()
	{
		$app = JFactory::getApplication('site');
		// don't use in admin
		if ($app->isAdmin() || !in_array(JRequest::getCmd('option'), array('com_content', 'com_k2'))){
			return;
		}

		$this->key_page = 'page';
		$this->key_limitstart = 'limitstart';

		$router = $app->getRouter();
		// attach build/parse rules for page SEF
		$router->attachBuildRule(array($this, 'buildRule'));
		// parse page rule
		$uri = JURI::getInstance ();
		$this->parseRule ($router, $uri);

		//include template tools
		if(is_file(JPATH_ROOT . '/templates/ja_wall/template_tools.php')){
			include_once JPATH_ROOT . '/templates/ja_wall/template_tools.php';
		}
	}

	function buildRule (&$router, &$uri) {
		$start = intval($uri->getVar($this->key_limitstart));
		if (!$start) return;
		$limit = $this->getLimit($uri->getVar ('Itemid'));
		$page = round($start / $limit) + 1;
		if ($page > 1) {
			$uri->delVar($this->key_limitstart);
			$uri->setVar($this->key_page, $page);
		}
	}

	function parseRule (&$router, &$uri) {
		$page = intval($uri->getVar($this->key_page));
		if ($page<2) return array();
		$limit = $this->getLimit($uri->getVar ('Itemid'));
		$start = ($page-1)*$limit;
		if ($start > 1) {
			// set direct to Request
			JRequest::setVar($this->key_limitstart, $start, 'get', true);
		}
		return array();
	}

	function getLimit ($mid=0) {
		$app	= JFactory::getApplication('site');
		$params = new JRegistry;
		$menu = null;
		// get menu item or the current
		if ($mid) {
			$menu = $app->getMenu()->getItem($mid);
		} else {
			$menu = $app->getMenu()->getActive();
		}
		if ($menu) {
			$params->loadString($menu->params);
		}
		// if content blog view

		if(JRequest::getCmd('option') == 'com_content'){
			$limit = $params->get('num_leading_articles', 0) + $params->get('num_intro_articles', 0);
		} else if(class_exists('K2HelperUtilities')) {
			$params = K2HelperUtilities::getParams('com_k2');
			$limit = $params->get('num_leading_items', 0) + $params->get('num_primary_items', 0) + $params->get('num_secondary_items', 0);
		}

		if ($limit){
			return $limit;
		} 

		// default list from configuration
		return $app->getCfg ('list_limit', 10);
	}

	/**
     * Add JA Extended menu parameter in administrator
     *
     * @param   JForm   $form   The form to be altered.
     * @param   array   $data   The associated data for the form
     *
     * @return  null
     */
	function onContentPrepareForm($form, $data)
	{
		// extra option for article in com_content
		if ($form->getName() == 'com_content.article') {
			$this->loadLanguage();
			JForm::addFormPath(dirname(__FILE__) . DS . 'assets');
			$form->loadFile('content_params', false);
		}

		// extra option for menu item
		if ($form->getName() == 'com_menus.item') {
			$this->loadLanguage();
			JForm::addFormPath(dirname(__FILE__) . DS . 'assets');
			$form->loadFile('menu_params', false);
		}
	}
}
