<?php
/**
 * $JA#COPYRIGHT$
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Define default image size (do not change)
K2HelperUtilities::setDefaultImage($this->item, 'itemlist', $this->params);

$app = JFactory::getApplication();
$tmpl = $app->getTemplate(true);
$hothits = (int) $tmpl->params->get ('hothits', 1000);

// get extra class from extra field of item
$xclass = WallHelper::getExClass($this->item);

// build intro images
if($tmpl->params->get ('jawall_autoimg', 1)){
	WallHelper::buildK2Image($this->item);
}

// build intro content
// get some first paragraph in introtext, trip tags (keep a, strong, br, b...)
$introtext = WallHelper::extractFirstParagraph($this->item->introtext);
// add p tag
$introtext = '<p>'.$introtext.'</p>';
?>

<!-- Start K2 Item Layout -->
<div class="item <?php echo $xclass ?> item-showcase <?php if(empty($this->item->image)) echo "no-image";?><?php echo $this->item->hits >= $hothits?' item-hot':'' ?>">
	<div class="inner item-inner clearfix">

		<!-- Plugins: BeforeDisplay -->
		<?php echo $this->item->event->BeforeDisplay; ?>

		<!-- K2 Plugins: K2BeforeDisplay -->
		<?php echo $this->item->event->K2BeforeDisplay; ?>
		
		<?php if($this->item->params->get('catItemImage') && !empty($this->item->image)): ?>
		<!-- Item Image-->
		<div class="item-image">
		    <a class="item-link" href="<?php echo $this->item->link; ?>" title="<?php if(!empty($this->item->image_caption)) echo K2HelperUtilities::cleanHtml($this->item->image_caption); else echo K2HelperUtilities::cleanHtml($this->item->title); ?>">
		    	<img src="<?php echo $this->item->image; ?>" alt="<?php if(!empty($this->item->image_caption)) echo K2HelperUtilities::cleanHtml($this->item->image_caption); else echo K2HelperUtilities::cleanHtml($this->item->title); ?>" />
		    	<span>&nbsp;</span>
		    </a>
		</div>
		<!-- //Item Image-->
		<?php endif; ?>
		
		<!-- Item main -->
		<div class="item-main clearfix">
			<!-- Item header -->
			<div class="header item-header clearfix">
				
				<div class="item-title">
				<?php if(isset($this->item->editLink)): ?>
				<!-- Item edit link -->
				<span class="catItemEditLink">
					<a class="modal" rel="{handler:'iframe',size:{x:990,y:550}}" href="<?php echo $this->item->editLink; ?>">
						<?php echo JText::_('K2_EDIT_ITEM'); ?>
					</a>
				</span>
				<?php endif; ?>
				
				<?php if($this->item->params->get('catItemTitle')): ?>
				<h2>
					<?php if ($this->item->params->get('catItemTitleLinked')): ?>
						<a class="item-link" href="<?php echo $this->item->link; ?>">
						<?php echo $this->item->title; ?>
						</a>
					<?php else: ?>
						<?php echo $this->item->title; ?>
					<?php endif; ?>
					
				</h2>
				<?php endif; ?>

			  	<!-- Featured flag -->
				<?php if($this->item->params->get('catItemFeaturedNotice') && $this->item->featured): ?>
					<sup><?php echo JText::_('K2_FEATURED'); ?></sup>
				<?php endif; ?>
				<!-- //Feature flag -->
				
				</div>
				
			</div>
			<!-- //Item header -->
			
			<!-- Plugins: AfterDisplayTitle -->
			<?php echo $this->item->event->AfterDisplayTitle; ?>

			<!-- K2 Plugins: K2AfterDisplayTitle -->
			<?php echo $this->item->event->K2AfterDisplayTitle; ?>
			
			<?php if($this->item->params->get('catItemIntroText')): ?>
			<!-- Item content -->
			<div class="content item-content">
				<!-- Plugins: BeforeDisplayContent -->
				<?php echo $this->item->event->BeforeDisplayContent; ?>

				<!-- K2 Plugins: K2BeforeDisplayContent -->
				<?php echo $this->item->event->K2BeforeDisplayContent; ?>
				
				<?php if($this->item->params->get('catItemIntroText')): ?>
					<?php echo $introtext; ?>
				<?php endif; ?>
				
				<!-- Plugins: AfterDisplayContent -->
				<?php echo $this->item->event->AfterDisplayContent; ?>

				<!-- K2 Plugins: K2AfterDisplayContent -->
				<?php echo $this->item->event->K2AfterDisplayContent; ?>
				
			</div>
			<!-- //Item content -->
			<?php endif; ?>
			
			<?php if(
			  $this->item->params->get('catItemTags')
			): ?>
			<!-- Item links -->
			<div class="item-info clearfix">
			
				<?php if($this->item->params->get('catItemAuthor')): ?>
				<!-- Item Author -->
				<div class="createdby">
					<strong><?php echo K2HelperUtilities::writtenBy($this->item->author->profile->gender); ?>: </strong> <a rel="author" href="<?php echo $this->item->author->link; ?>"><?php echo $this->item->author->name; ?></a>
				</div>
				<?php endif; ?>
			
				<?php if($this->item->params->get('catItemCategory')): ?>
				<!-- Item category name -->
				<div class="category-name">
					<strong>In: </strong>
					<a href="<?php echo $this->item->category->link; ?>"><?php echo $this->item->category->name; ?></a>
				</div>
				<?php endif; ?>
			
				<?php if($this->item->params->get('catItemTags') && count($this->item->tags)): ?>
				<!-- Item tags -->
				<div class="item-tags">
					<strong><?php echo JText::_('K2_WALL_TAGGED_UNDER'); ?>:&nbsp;</strong>
					<ul class="catItemTags">
						<?php foreach ($this->item->tags as $tag): ?>
						<li><a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a></li>
						<?php endforeach; ?>
					</ul>
				</div>
				<?php endif; ?>				
			
			</div>
			<!-- //Item links -->
			<?php endif; ?>
			
			<?php if(
				$this->item->params->get('catItemHits') ||
				$this->item->params->get('catItemCommentsAnchor') ||
				$this->item->params->get('catItemReadMore')
				): ?>
			<!-- Item footer -->
			<div class="footer item-footer clearfix">
				<?php if($this->item->params->get('catItemHits')):?>
				<dl class="article-hit">
					<dd class="hits"><strong><?php echo JText::_('K2_READ'); ?>: </strong><?php echo $this->item->hits; ?></dd>
				</dl>
				<?php endif; ?>
				
				<?php if($this->item->params->get('catItemCommentsAnchor') && ( ($this->item->params->get('comments') == '2' && !$this->user->guest) || ($this->item->params->get('comments') == '1')) ): ?>
				<!-- Anchor link to comments below -->
				<div class="comments-link">
					<?php if(!empty($this->item->event->K2CommentsCounter)): ?>
						<!-- K2 Plugins: K2CommentsCounter -->
						<?php echo $this->item->event->K2CommentsCounter; ?>
					<?php else: ?>
						<?php if($this->item->numOfComments > 0): ?>
						<a href="<?php echo $this->item->link; ?>#itemCommentsAnchor">
							<?php echo $this->item->numOfComments; ?> <?php echo ($this->item->numOfComments>1) ? JText::_('K2_COMMENTS') : JText::_('K2_COMMENT'); ?>
						</a>
						<?php else: ?>
						<a href="<?php echo $this->item->link; ?>#itemCommentsAnchor">
							<?php echo JText::_('K2_WALL_BE_THE_FIRST_TO_COMMENT'); ?><strong>: 0</strong>
						</a>
						<?php endif; ?>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				
				<?php if ($this->item->params->get('catItemReadMore')): ?>
				<p class="readmore">
					<a class="item-link" href="<?php echo $this->item->link; ?>">
						<?php echo JText::_('K2_WALL_READ_MORE'); ?>
					</a>
				</p>
				<?php endif; ?>
				
			</div>
			<!-- //Item footer -->
			<?php endif; ?>
		</div>
		<!-- //Item main -->
		
	<!-- Plugins: AfterDisplay -->
	<?php echo $this->item->event->AfterDisplay; ?>

	<!-- K2 Plugins: K2AfterDisplay -->
	<?php echo $this->item->event->K2AfterDisplay; ?>

	</div>
</div>
<!-- End K2 Item Layout -->
