<?php
/**
* @package	JoomlArt 
* @subpackage	Elastica Series
* @copyright        Copyright (C) 2005 - 2012.
* @license                GNU General Public License version 2 or later; see LICENSE.txt
*/

// No direct access.
defined('_JEXEC') or die;

require_once dirname(__FILE__).DS.'template_tools.php';

JHtml::_('behavior.framework', true);

// get params
$app                = JFactory::getApplication();
$doc				= JFactory::getDocument();
$siteName 			= $app->getCfg('sitename');
$templateparams     = $app->getTemplate(true)->params;
$color              = $this->params->get('templatecolor');
$logoText 			= trim($this->params->get('logoText', $siteName));
$sloganText 		= trim($this->params->get('sloganText')); 
$jversion			= new JVersion;
$tplcsspath			= $this->baseurl . '/templates/' . $this->template . '/css';
$tpljspath			= $this->baseurl . '/templates/' . $this->template . '/js';
$tplpluginpath		= $this->baseurl . '/templates/' . $this->template . '/plugins';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
	<script type="text/javascript">
	/* <![CDATA[ */
		var JADef = {
			siteurl: '<?php echo $this->baseurl; ?>/',
			tplurl: '<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/',
			fmsg: '<?php echo JText::_('TPL_FINISHED_MESSAGE'); ?>',
			ltext: '<?php echo JText::_('TPL_LOADING_MESSAGE'); ?>'
		};
	/* ]]> */
	</script>
	<jdoc:include type="head" />
	<!-- META FOR IOS & HANDHELD -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	<meta name="HandheldFriendly" content="true" />
	<meta name="apple-touch-fullscreen" content="YES" />
	<!-- //META FOR IOS & HANDHELD -->
	<!-- TEMPLATE STYLESHEETS -->
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/reset.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/core.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/navigation.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/joomla.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/modules.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/template.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/k2.css" media="all" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/print.css" media="print" />
	<!-- //TEMPLATE STYLESHEETS -->
	<!-- MEDIA QUERIES -->
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-mobile.css" media="only screen and (max-width:719px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-mobile-portrait.css" media="only screen and (max-width:479px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-tablet.css" media="only screen and (min-width:720px) and (max-width: 985px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-normal.css" media="only screen and (min-width:986px) and (max-width: 1235px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-wide.css" media="only screen and (min-width:1236px) and (max-width: 1585px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-wide-extra.css" media="only screen and (min-width:1586px) and (max-width: 1890px)" />
	<link rel="stylesheet" type="text/css" href="<?php echo $tplcsspath ?>/layout-hd.css" media="only screen and (min-width:1891px)" />
	<!-- //MEDIA QUERIES -->
	<!-- CUSTOM THEMES -->
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/css/theme.css" type="text/css" media="all" />
	<!-- //CUSTOM THEMES -->
	<!-- TEMPLATE PLUGINS -->
	<script type="text/javascript" src="<?php echo $tpljspath ?>/caption.js"></script>
	<script type="text/javascript" src="<?php echo $tpljspath ?>/jquery.jbk.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery-cookie.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery.masonry.min.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery.infinitescroll.min.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/modernizr-transitions.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/iscroll/iscroll.js"></script>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery.mousewheel.js"></script>
	<!-- //TEMPLATE PLUGINS -->
	<!-- TEMPLATE SCRIPTS -->
	<script type="text/javascript" src="<?php echo $tpljspath ?>/script.js"></script>
	<!-- //TEMPLATE SCRIPTS -->
	<?php if (JFile::exists(JPATH_BASE . '/templates/' . $this->template . '/themes/' . $color . '/js/script.js')) : ?>
	<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/themes/<?php echo $color;?>/js/script.js"></script>
	<?php endif; ?>
	<!--[if lt IE 9]>
	<script type="text/javascript" src="<?php echo $tplpluginpath ?>/jquery.mediaqueries.js"></script>
	<![endif]-->
	<script type="text/javascript" src="<?php echo $tpljspath ?>/jquery.noconflict.js"></script>
</head>
<body id="bd" class="<?php echo WallHelper::getBodyClass() ?>">
<!-- WRAPPER -->
<div id="wrapper">
	<!-- HEADER -->
	<div id="header" class="wrap">
	<div class="wrap-inner">
		<div class="main header-main<?php if (!WallHelper::isGridView()){ echo ' no-toolbar'; } ?> clearfix">
			<!-- LOGO -->
			<div id="logo" class="logo-<?php echo $this->params->get('logoType', 'image') ?>">
				<?php if ($this->params->get('logoType', 'image')=='image'): ?>
				<h1 class="logo">
					<a href="<?php JURI::base(true) ?>" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</h1>
				<?php else: ?>
				<h1><a href="<?php JURI::base(true) ?>" title="<?php echo $siteName; ?>"><?php echo $logoText; ?></a></h1>
				<p class="site-slogan"><?php echo $sloganText;?></p>
				<?php endif; ?>			
			</div>			
			<!-- //LOGO -->

			<!-- MAINNAV -->
			<div id="mainnav" class="has-toggle">
				<div class="btn-toggle menu-toggle">
					<span>&nbsp;</span><strong>Menu</strong>
				</div>
				<div class="inner menu-inner clearfix">
					<jdoc:include type="modules" name="mainnav" />
				</div>
			</div>
			<!-- //MAINNAV -->
			
			<!-- SEARCH -->
			<div id="search" class="has-toggle">
				<div class="btn-toggle search-toggle">
					<span>&nbsp;</span><strong>Search</strong>
				</div>
				<div class="inner search-inner">
					<jdoc:include type="modules" name="search" />
				</div>
			</div>
			<!-- //SEARCH -->

			<?php if (WallHelper::isGridView()) : ?>
			<!-- TOOLBAR -->
			<div id="toolbar" class="has-toggle">
				<div class="btn-toggle toolbar-toggle">
					<span>&nbsp;</span><strong>Toolbar</strong>
				</div>
				<div class="inner toolbar-inner clearfix">
					<ul>
						<li id="toolbar-display">
							<dl>
								<dt>Display</dt>
								<dd id="toolbar-display-imageview" class="first last"><span><?php echo JText::_('TPL_TEXT_IMAGEVIEW'); ?></span></dd>
							</dl>
						</li>
						<li id="toolbar-basegrid">
							<dl>
								<dt>Grid</dt>
								<dd id="toolbar-basegrid-s" class="first"><span>S</span></dd>
								<dd id="toolbar-basegrid-m"><span>M</span></dd>
								<dd id="toolbar-basegrid-l"><span>L</span></dd>
								<dd id="toolbar-basegrid-xl" class="last"><span>XL</span></dd>
							</dl>
						</li>
					</ul>
				</div>
			</div>
			<script type="text/javascript">
			/* <![CDATA[ */
				$wall(document).ready(function($){
					$('#toolbar-basegrid dd').toolbar({ group: 'basegrid', type: 'single', val: '<?php echo $this->params->get('jawall_basegrid', 'm') ?>'});
					$('#toolbar-display dd').toolbar({ group: 'display', type: 'toggle', val: '<?php echo $this->params->get('jawall_display', '') ?>'});
				});
			/* ]]> */
			</script>
			<!-- //TOOLBAR -->		
			<?php endif; ?>

		</div>
	</div>
	</div>
	<!-- // HEADER -->

	<!-- CONTAINER -->
	<div id="container" class="wrap">
		<div class="main container-main clearfix">

			<div id="mainbody" class="clearfix">
			
				<div id="ja-message">
					<jdoc:include type="message" />
				</div>

				<!-- MAIN CONTENT -->
				<div id="content">
					<div class="inner content-inner clearfix">
						<jdoc:include type="component" />
					</div>
				</div>
				<!-- // MAIN CONTENT -->
				
				<?php if (WallHelper::hasAside()): ?>
				<!-- ASIDE -->
				<div id="aside">
					<div class="inner aside-inner cols-<?php echo intval($this->countModules (_ASIDE_POS_1) && 1) + intval($this->countModules (_ASIDE_POS_2) && 1) + intval($this->countModules (_ASIDE_POS_3) && 1) ?> clearfix">
						<div class="col aside-col aside-col-1">
							<jdoc:include type="modules" style="JAxhtml" name="<?php echo _ASIDE_POS_1 ?>" />
							<jdoc:include type="modules" style="JAxhtml" name="position-5" />
						</div>
						<div class="col aside-col aside-col-2">
							<jdoc:include type="modules" style="JAxhtml" name="<?php echo _ASIDE_POS_2 ?>" />
							<jdoc:include type="modules" style="JAxhtml" name="position-6" />
						</div>
						<div class="col aside-col aside-col-3">
							<jdoc:include type="modules" style="JAxhtml" name="<?php echo _ASIDE_POS_3 ?>" />
							<jdoc:include type="modules" style="JAxhtml" name="position-7" />
						</div>
					</div>
				</div>
				<!-- // ASIDE -->
				<?php endif; ?>
			</div>
			
			<?php if (WallHelper::hasSidebar()): ?>
			<!-- SIDE BAR -->
			<div id="sidebar" class="has-toggle">
				<div class="btn-toggle sidebar-toggle">
					<span>&nbsp;</span><strong>Sidebar</strong>
				</div>
				<div class="inner sidebar-inner clearfix">
					<div class="sidebar-inner-scrollblock">
						<jdoc:include type="modules" style="JAxhtml" name="<?php echo _SIDE_BAR_POS ?>" />
					</div>
				</div>
			</div>
			<!-- // SIDE BAR -->
			<?php endif; ?>

		</div>
	</div>
	<!-- // CONTAINER -->
	<jdoc:include type="modules" name="debug" />
</div>
<!-- // WRAPPER -->
<!-- POPUP View -->
<div id="popup-view">
	<div id="popup-content">
		<div class="popup-head">
			<a id="popup-close" href="javascript:;" class="btn-close">Close</a>
		</div>
	</div>
</div>
<!-- // POPUP View -->
<script type="text/javascript" src="<?php echo $tpljspath ?>/wall.js"></script>
<!-- // FACEBOOK SCRIPT -->
<div id="fb-root"></div>
<script type="text/javascript">
/* <![CDATA[ */
	(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));
/* ]]> */
</script>
</body>
</html>
