<?php
/**
 * $JA#COPYRIGHT$
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// sidebar module position
define('_SIDE_BAR_POS', 'sidebar');
define('_CORNER_STAMP_POS', 'corner-stamp');

// aside module position
define('_ASIDE_POS_1', 'aside-1');
define('_ASIDE_POS_2', 'aside-2');
define('_ASIDE_POS_3', 'aside-3');

class WallHelper {

	public static function getBodyClass () {
		$app 	= JFactory::getApplication();
		$menus 	= $app->getMenu();
		$tmpl 	= JFactory::getDocument();
		$cls 	= '';
		// check if home
		if (($menu = $menus->getActive())) {
			if ($menu->home) {
				$cls .= ' bd-home';
			}
		}
		// check view
		if (self::isGridView()) {
			$cls .= ' gridview';
		}
		
		// check has sidebar
		if (self::hasSidebar()) {
			$cls .= ' has-sidebar';
		}
		// check has aside
		if (self::hasAside()) {
			$cls .= ' has-aside';
		}
		
		if (JRequest::getCmd('option') == 'com_k2') {
			$cls .= ' k2-component';
		}
		
		// check extended parameter in menu item
		if (($menu && $menu->params->get ('jawall_preview') == 'no') ||
			($menu && !$menu->params->get ('jawall_preview') &&
			 	$tmpl->params->get('jawall_preview') == 'no') ||
			 	(!$menu && $tmpl->params->get('jawall_preview') == 'no')) {
			$cls .= ' no-preview';
		}
		
		if ($menu && $menu->params->get ('jawall_basegrid')) {
			$cls .= ' fixed-basegrid basegrid-'.$menu->params->get ('jawall_basegrid');
		}
		if ($menu && $menu->params->get ('jawall_display')) {
			$cls .= ' fixed-display display-'.$menu->params->get ('jawall_display');
		}	
		return trim($cls);
	}

	/**
	 * Check if show sidebar
	 * sidebar is available when 
	 * 	- has modules in _SIDE_BAR_POS position
	 */
	public static function hasSidebar(){
		$tmpl = JFactory::getDocument();
		if (!$tmpl->countModules(_SIDE_BAR_POS)) {
			return false;
		}
		return true;
	}

	/**
	 * Check if show aside modules
	 * aside is available when 
	 * 	- not in grid-view
	 * 	- has modules in _ASIDE_POS position
	 */
	public static function hasAside(){
		if (self::isGridView()){
			return false;
		}

		$tmpl = JFactory::getDocument();
		if (!$tmpl->countModules(_ASIDE_POS_1) && !$tmpl->countModules(_ASIDE_POS_2) && !$tmpl->countModules(_ASIDE_POS_3)) {
			return false;
		}
		return true;
	}

	public static function isGridView(){
		// check if defined in component
		if (defined('_IS_GRID_VIEW')){
			return true;
		}

		// if this content is cache, we check if there a div with id=masonry-container
		$tmpl = JFactory::getDocument();
		$component_content = $tmpl->getBuffer('component');
		if (preg_match ('#id\s*=\s*(["\']?)masonry-container\1#i', $component_content)){
			return true;
		}

		return false;
	}

	public static function genCSPosition(){
		$document	= JFactory::getDocument();
		$renderer	= $document->loadRenderer('module');
		$modules	= JModuleHelper::getModules(_CORNER_STAMP_POS);
		$params		= array('style' => 'none');
		
		if(count($modules)) {
			echo 
			'<div class="corner-stamp grid-double">' .
				'<div class="corner-inner">';

			foreach ($modules as $module) {
				echo $renderer->render($module, $params);
			}

			echo 
				'</div>' .
			'</div>';
		}
	}

	/**
	 * get some first paragraph in introtext, trip tags (keep a, strong, br, b...)
	 */
	public static function extractFirstParagraph($text){
		static $regex = '#<p[^>]*>(.*)</p>#i';
		static $allowtag = '<a><b><strong><br>';

		$result = '';
		if (preg_match_all ($regex, $text, $matches)) {
			$p = array();
			$c = 0;

			foreach ($matches[1] as $match) {
				$t = trim(strip_tags ($match, $allowtag));
				if ($t) $p[] = $t;
				$c += strlen($t);
				if ($c > 50) break;
			}
			$t = implode ('<br/>', $p);

			$result = (strlen($t) > 7) ? $t : trim(strip_tags ($text, $allowtag));
		} else {
			$result = trim(strip_tags ($text, $allowtag));
		}

		return $result;
	}

	// build intro images
	// if intro images exists in $images, use it
	// if not, get images from intro content
	// if not, get from full image in $images
	public static function buildImage(&$images, $item){
		static $regex1 = '#(<img[^>]*>)#i';
		static $regex2 = '#\s+src\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';
		static $regex3 = '#\salt\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';

		if (empty($images->image_intro)) {
			if (preg_match ($regex1, $item->introtext, $match)) {
				$image = $match[1];
				// get img src
				if (preg_match ($regex2, $image, $match)) {
					$images->image_intro = $match[2];
				}
				// get img caption
				$item->image_caption = '';
				if (preg_match ($regex3, $image, $match)) {
					$images->image_intro_alt = $images->image_intro_caption = $match[2];
				} else {
					$images->image_intro_alt = $images->image_intro_caption = '';
				}
			}	
		}

		return $images;
	}

	public static function getExClass($k2item) {
		static $xclass_key = 'Extended Classes';

		$xclass = '';
		$extra_fields = array();
		if(is_string($k2item->extra_fields)){
			$extra_fields = K2Model::getInstance('Item', 'K2Model')->getItemExtraFields($k2item->extra_fields, $k2item);
		}
		if(count($extra_fields)) {
			foreach ($extra_fields as $key=>$extraField) {
				if ($extraField->name == $xclass_key) {
					$xclass = $extraField->value;
					break;
				}
			}
		}

		return $xclass;
	}

	// build intro images
	// if intro images exists in $images, use it
	// if not, get images from intro content
	// if not, get from full image in $images
	public static function buildK2Image(&$item){
		static $regex1 = '#(<img[^>]*>)#i';
		static $regex2 = '#\s+src\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';
		static $regex3 = '#\salt\s*=\s*(["\'])([^\'"]+)\1[\s\/>]#i';

		if (empty($item->image)) {
			if (preg_match ($regex1, $item->introtext, $match)) {
				$image = $match[1];
				
				// get img src
				if (preg_match ($regex2, $image, $match)) {
					$item->image = $match[2];
				}
				
				// get img caption
				$item->image_caption = '';
				if (preg_match ($regex3, $image, $match)) {
					$item->image_caption = $match[2];
				}
			}	
		}

		return $item;
	}
}